Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QSizeGrip Class Reference

The QSizeGrip class provides corner-grip for resizing a top-level window. More...

`#include <qsizegrip.h>`

Inherits QWidget.

List of all member functions.

## Public Members

- QSizeGrip ( QWidget * parent, const char * name = 0 )
- ~QSizeGrip ()
- virtual QSize sizeHint () const

## Protected Members

- virtual void paintEvent ( QPaintEvent * e )
- virtual void mousePressEvent ( QMouseEvent * e )
- virtual void mouseMoveEvent ( QMouseEvent * e )

## Detailed Description

The QSizeGrip class provides corner-grip for resizing a top-level window.

This widget works like the standard Windows resize handle. In the X11 version this resize handle generally works differently from the one provided by the system; we hope to reduce this difference in the future.

Put this widget anywhere in a tree and the user can use it to resize the top-level window. Generally, this should be in the lower right-hand corner. Note that QStatusBar already uses this widget, so if you have a status bar (e.g. you are using QMainWindow), then you don't need to use this widget explicitly.

See also QStatusBar, Widget Appearance and Style, Main Window and Related Classes and Basic Widgets.

## Member Function Documentation

### QSizeGrip::QSizeGrip ( QWidget * parent, const char * name = 0 )

Constructs a resize corner as a child widget of parent with the name name.

### QSizeGrip::~QSizeGrip ()

Destroys the size grip.

### void QSizeGrip::mouseMoveEvent ( QMouseEvent * e )`[virtual protected]`

Resizes the top-level widget containing this widget. The event is in e.

Reimplemented from QWidget.

### void QSizeGrip::mousePressEvent ( QMouseEvent * e )`[virtual protected]`

Primes the resize operation. The event is in e.

Reimplemented from QWidget.

### void QSizeGrip::paintEvent ( QPaintEvent * e )`[virtual protected]`

Paints the resize grip. Resize grips are usually rendered as small diagonal textured lines in the lower-right corner. The event is in e.

Reimplemented from QWidget.

### QSize QSizeGrip::sizeHint () const`[virtual]`

Returns the size grip's size hint; this is a small size.

Reimplemented from QWidget.

This file is part of the Qt toolkit. Copyright © 1995-2002 Trolltech. All Rights Reserved.